LibreOffice LibreOffice 6.2 SDK API Reference

List of all members
ImplementationRegistration Service Referencepublished

is the implementation of the interface XImplementationRegistration. More...

`import"ImplementationRegistration.idl";`

Inheritance diagram for ImplementationRegistration:

## Additional Inherited Members
Public Member Functions inherited from XImplementationRegistration
void | registerImplementation ([in] string aImplementationLoader, [in] string aLocation, [in] com::sun::star::registry::XSimpleRegistry xReg) raises ( com::sun::star::registry::CannotRegisterImplementationException )
| registers a component which provides one or more implementations. More...
boolean | revokeImplementation ([in] string aLocation, [in] com::sun::star::registry::XSimpleRegistry xReg)
| revokes a component and all their provided implementations from the registry. More...
sequence< string > | getImplementations ([in] string aImplementationLoader, [in] string aLocation)
sequence< string > | checkInstantiation ([in] string implementationName)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is the implementation of the interface XImplementationRegistration.

This service can be used to install or uninstall components (implementations). Further, it is possible to check if all runtime dependencies (needed services) are available to use a specified component.

Guarantees:

- -thread safe

The documentation for this service was generated from the following file:

- com/sun/star/registry/ImplementationRegistration.idl